"{ Package: 'jv:libgdbs' }"

GDBMICommand subclass:#GDBMI_exec_until
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Core-Commands-MI'
!

!GDBMI_exec_until class methodsFor:'documentation'!

documentation
"
The `-exec-until' Command
-------------------------

Synopsis
........

      -exec-until [ LOCATION ]

   Executes the inferior until the LOCATION specified in the argument
is reached.  If there is no argument, the inferior executes until a
source line greater than the current one is reached.  The reason for
stopping in this case will be `location-reached'.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `until'.

Example
.......

     (gdb)
     -exec-until recursive2.c:6
     ^running
     (gdb)
     x = 55
     *stopped,reason='location-reached',frame={func='main',args=[],
     file='recursive2.c',fullname='/home/foo/bar/recursive2.c',line='6'}
     (gdb)


"
! !

!GDBMI_exec_until methodsFor:'accessing'!

operation
	^ 'exec-until'
! !

